<?php

/**
 * @file
 * Hooks provided by the Vipps MobilePay Express module.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Perform alterations after vipps_mobilepay checkout express button added.
 *
 * @param array $form
 *   Array of form elements.
 * @param \Drupal\Core\Form\FormStateInterface $form_state
 *   The current state of the form.
 * @param \Drupal\commerce_order\Entity\OrderInterface $order
 *   Current cart (order).
 *
 * @see vipps_mobilepay_commerce_express_form_views_form_commerce_cart_form_default_alter()
 */
function hook_vipps_mobilepay_commerce_express_cart_form_alter(array &$form, \Drupal\Core\Form\FormStateInterface $form_state, \Drupal\commerce_order\Entity\OrderInterface $order) {
  if ($order->bundle() === 'reservation') {
    $form['actions']['vipps_mobilepay_commerce_express']['#value'] = t('Pay and reserve');
  }
}

/**
 * Influence the decision on whether we should redirect on no gateways.
 */
function hook_vipps_mobilepay_commerce_express_redirect_empty_payment_gateways_alter(&$needs_redirect, \Drupal\commerce_order\Entity\OrderInterface $order, array $context) {
  if ($order->bundle() === 'reservation') {
    $needs_redirect = FALSE;
  }
}

/**
 * @} End of "addtogroup hooks".
 */
